### Constructor

# Gom Repository new

#### Declaration [src]

    GomRepository*
    gom_repository_new (
      GomAdapter* adapter
    )

#### Description

No description available.

#### Parameters

`adapter`

  Type: `GomAdapter`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `GomRepository`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.